BoundedCharsAsEncodedBytesCounter.BoundedCharsAsEncodedBytesCounterWriter (Grails 6.0.0)

Package: org.grails.web.util

## [Java] Class BoundedCharsAsEncodedBytesCounter.BoundedCharsAsEncodedBytesCounterWriter

- org.grails.web.util.BoundedCharsAsEncodedBytesCounter.BoundedCharsAsEncodedBytesCounterWriter

-     class BoundedCharsAsEncodedBytesCounter.BoundedCharsAsEncodedBytesCounterWriter
      extends java.io.Writer

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `char[]` | `writeBuffer` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.io.Writer` | `append(java.lang.CharSequence csq, int start, int end)`
    `` | `public java.io.Writer` | `append(java.lang.CharSequence csq)`
    `` | `public void` | `close()`
    `` | `public void` | `flush()`
    `` | `public void` | `write(char[] b, int off, int len)`
    `` | `public void` | `write(int b)`
    `` | `public void` | `write(java.lang.String str, int off, int len)`
    `` | `public void` | `write(java.lang.String str)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.io.Writer` | `java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#write(int), java.io.Writer#write([C), java.io.Writer#write([C, int, int), java.io.Writer#write(java.lang.String), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#nullWriter(), java.io.Writer#wait(long), java.io.Writer#wait(long, int), java.io.Writer#wait(), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()`

- - ### Field Detail

    - #### char[] writeBuffer

  - ### Method Detail

    - #### @java.lang.Override public java.io.Writer append(java.lang.CharSequence csq, int start, int end)

    - #### @java.lang.Override public java.io.Writer append(java.lang.CharSequence csq)

    - #### @java.lang.Override public void close()

    - #### @java.lang.Override public void flush()

    - #### @java.lang.Override public void write(char[] b, int off, int len)

    - #### @java.lang.Override public void write(int b)

    - #### @java.lang.Override public void write(java.lang.String str, int off, int len)

    - #### @java.lang.Override public void write(java.lang.String str)